Get an exact patient snapshot
Fetches an immutable snapshot belonging to this patient. Retains evidence, source revisions and algorithm identity for reproducible reports. Current access and erasure fences apply even to historical snapshots.
Path Parameters
- Type:user
Id required - Type: stringsnapshot
Id min length:1max length:255required
Responses
- application/json
- application/problem+json
- application/problem+json
- application/problem+json
- application/problem+json
Request Example for get/users/{userId} /snapshots/{snapshotId}
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/snapshots/{snapshotId}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"userId": "usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE",
"generatedAt": "2026-11-16T17:41:54.971Z",
"evidenceVersion": 0,
"algorithmVersion": "string",
"projection": "full",
"sourceRevisions": [
{
"producer": "string",
"recordId": "string",
"revision": 1,
"bundleId": "string"
}
],
"observations": [
{
"id": "string",
"userId": "usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE",
"kind": "biomarker",
"concept": {
"conceptId": "string",
"snapshotId": "string",
"mappingDecisionId": "string"
},
"value": {
"type": "quantity",
"quantity": {
"decimal": "string",
"comparator": "eq",
"unit": "string",
"originalText": "string",
"preferredUnit": "string"
}
},
"specimen": {
"conceptId": "string",
"snapshotId": "string",
"mappingDecisionId": "string"
},
"method": {
"conceptId": "string",
"snapshotId": "string",
"mappingDecisionId": "string"
},
"effectivePeriod": {
"start": {
"precision": "unknown"
},
"end": {
"precision": "unknown"
}
},
"reportedAt": {
"precision": "unknown"
},
"assertion": "present",
"experiencer": "patient",
"temporality": "current",
"sources": [
{
"producer": "string",
"recordId": "string",
"revision": "string",
"location": "string",
"documentId": "string",
"interviewId": "string"
}
]
}
],
"omissions": [
{
"caseId": "string",
"topic": "string",
"reason": "string",
"observationIds": [
"string"
],
"sources": [
{
"producer": "string",
"recordId": "string",
"revision": "string",
"location": "string",
"documentId": "string",
"interviewId": "string"
}
]
}
]
}